> ## Documentation Index
> Fetch the complete documentation index at: https://terminal49.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Include Related Resources in API Responses

> Use the include query parameter to return related resources like shipments, containers, terminals, and transport events in a single API response.

Throughout the documentation you will notice that many of the endpoints include a `relationships` object inside of the `data` attribute.

For example, if you are [requesting a container](/api-docs/api-reference/containers/get-a-container) the relationships will include `shipment`, and possibly `pod_terminal` and `transport_events`

If you want to load the `shipment` and `pod_terminal` without making any additional requests you can add the query parameter `include` and provide a comma delimited list of the related resources:

```
containers/{id}?include=shipment,pod_terminal
```

You can even traverse the relationships up or down. For example if you wanted to know the port of lading for the container you could get that with:

```
containers/{id}?include=shipment,shipment.port_of_lading
```
